;---------------------------------------------------------------------
;-----------(C)2004 Luis Antunes Pena---------------------
;-----http://luisantunespena.eu----
;-------Licensed under Creative Commons-------------
;--http://creativecommons.org/licenses/by-sa/3.0/----
;--------------------------------------------------------------------

<CsoundSynthesizer>
<CsOptions>
; Select audio/midi flags here according to platform
; Audio out   Audio in    No messages
-odac           -M0    -d     ;;;RT audio I/O
; For Non-realtime ouput leave only the line below:
; -o oscils.wav -W ;;; for file output any platform
</CsOptions>
<CsInstruments>
ksmps = 128
nchnls = 4


#define MDUR #86400# ;24 hours

gasend1 init 0
gasend2 init 0

gkamp init 0
gkfactor init 0
gkfactorb init 0
gkrfreq init 0
gkspectral init 0
gkrevflvl init 0
gkrevamp init 0
gktimereset init 0
gktime init 0



instr 10



;---------------------------------    init midi ctrl
ctrlinit 1, 7, 0	;global amp

ctrlinit 1, 10, 64	;amp single oscil
ctrlinit 1, 12, 20	;pitch [Hz]
ctrlinit 1, 13, 127	;freq tremolo
ctrlinit 2, 13, 2	;amp tremolo
ctrlinit 2, 7, 0	;factor LF
ctrlinit 2, 10, 0	;random freq
;ctrlinit 8, 7, 0	;micro amp
ctrlinit 3, 7, 0	;factor HF
ctrlinit 3, 10, 0	;factor freq HF
ctrlinit 4, 7, 2	;random amp
;ctrlinit 8, 13, 64	;rev send
ctrlinit 5, 7, 30	;spectral amp weight

ctrlinit 8, 7, 32	;rev amp
;ctrlinit 7, 10, 100 ;global amp


;---------------------------------    init midi ctrl



iport = 0.01
iportamp = 0.3
;----------------------------------------------------- midi
;amp from midi controller
kampmdb ctrl7 1, 7, -90, 0
kampmdb 	port kampmdb, iportamp
kampm = ampdb(kampmdb)
gkamp = kampm

kamp 	ctrl7 1, 10, 0, 8000
kamp 	port kamp, iport
;kpitch 	ctrl7 1, 12, 20, 220
gkamposcil = kamp

;tremolo
ktremf	ctrl7 1, 13, 0, 20
ktremd	ctrl7 2, 13, 0, 75
gktremf = ktremf
gktremd = ktremd

;freq factor var LFO
kfactor 	ctrl7 2, 7, 0, 479
kfactor 	port kfactor, iport
gkfactor = kfactor

krff 	ctrl7 2, 10, 0, 1
gkrff = krff

;second freq factor var HFO
kfactorb	ctrl7 3, 7, 0, 479
kfactorb  port kfactorb, iport
gkfactorb  = kfactorb

krffb	ctrl7	 3, 10, 100, 2000
gkfrffb = krffb


;random amp
krfreq	ctrl7	 4, 7, 0, 1
gkrfreq = krfreq


;spectral amplitude weigth
kisaw ctrl7 5, 7, 1, 33
gkisaw  = kisaw

krevamp	ctrl7 8, 7, 0, 1
gkrevamp 	port krevamp, iport
gkrevfblvl	ctrl7 8, 10, 0, 1

;----------------------------------------------------- midi



;---------------------------------------- key control for frequency change
itable_fund_freq = 101
ktrigger init 0
kcounter init 0
itablesize tableng itable_fund_freq; = 8


kkey sensekey
;printk2 kkey

if kkey == 32 then				;Backspace key
printks "\\n Backspace\\n", .1
kcounter = kcounter + 1
if kcounter > (itablesize-1) then
kcounter = 0
endif
printk2 kcounter
endif
if kkey == 10 then; ENTER key
kcounter = 0
endif

kpitch table kcounter, itable_fund_freq, 0
kpitch = kpitch * 40

if kkey == 48 then; zero key
gktimereset = gktime
printks "%n%nreset time%n%n", .1
endif

;outvalue "pitch", kpitch
;outvalue "index_fund_freq", kcounter+1
;outvalue "length_fund_freq", itablesize
;---------------------------------------- key control for frequency change




;spectral amplitude weigth
;equal /



itsaw = 23

if (kisaw > 17) 	then
kisaw = kisaw - 17
kisaw32 = 0
kisaw31 = kisaw
kisaw30 = 2 * kisaw
kisaw29 = 3 * kisaw
kisaw28 = 4 * kisaw
kisaw27 = 5 * kisaw
kisaw26 = 6 * kisaw
kisaw25 = 7 * kisaw
kisaw24 = 8 * kisaw
kisaw23 = 9 * kisaw
kisaw22 = 10 * kisaw
kisaw21 = 11 * kisaw
kisaw20 = 12 * kisaw
kisaw19 = 13 * kisaw
kisaw18 = 14 * kisaw
kisaw17 = 15 * kisaw
kisaw16 = 16 * kisaw
kisaw15 = 17 * kisaw
kisaw14 = 18 * kisaw
kisaw13 = 19 * kisaw
kisaw12 = 20 * kisaw
kisaw11 = 21 * kisaw
kisaw10 = 22 * kisaw
kisaw9 = 23 * kisaw
kisaw8 = 24 * kisaw
kisaw7 = 25 * kisaw
kisaw6 = 26 * kisaw
kisaw5 = 27 * kisaw
kisaw4 = 28 * kisaw
kisaw3 = 29 * kisaw
kisaw2 = 30 * kisaw
kisaw1 = 31 * kisaw

kgoto weiter

endif


kisaw = 17 - kisaw

kisaw1 = 0
kisaw2 = kisaw
kisaw3 = 2 * kisaw
kisaw4 = 3 * kisaw
kisaw5 = 4 * kisaw
kisaw6 = 5 * kisaw
kisaw7 = 6 * kisaw
kisaw8 = 7 * kisaw
kisaw9 = 8 * kisaw
kisaw10 = 9 * kisaw
kisaw11 = 10 * kisaw
kisaw12 = 11 * kisaw
kisaw13 = 12 * kisaw
kisaw14 = 13 * kisaw
kisaw15 = 14 * kisaw
kisaw16 = 15 * kisaw
kisaw17 = 16 * kisaw
kisaw18 = 17 * kisaw
kisaw19 = 18 * kisaw
kisaw20 = 19 * kisaw
kisaw21 = 20 * kisaw
kisaw22 = 21 * kisaw
kisaw23 = 22 * kisaw
kisaw24 = 23 * kisaw
kisaw25 = 24 * kisaw
kisaw26 = 25 * kisaw
kisaw27 = 26 * kisaw
kisaw28 = 27 * kisaw
kisaw29 = 28 * kisaw
kisaw30 = 29 * kisaw
kisaw31 = 30 * kisaw
kisaw32 = 31 * kisaw


weiter:

;printks "kisaw1=%f, kisaw2=%f, kisaw3=%f, kisaw4=%f, kisaw28=%f, kisaw29=%f, kisaw30=%f, kisaw31=%f \\n \\n", 1, kisaw1, kisaw2, kisaw3, kisaw4, kisaw28, kisaw29, kisaw30, kisaw31

;printks "kisaw1=%f, kisaw2=%f, kisaw3=%f, kisaw4=%f, kisaw28=%f, kisaw29=%f, kisaw30=%f, kisaw31=%f \\n \\n", 1, kisaw1, kisaw2, kisaw3, kisaw4, kisaw28, kisaw29, kisaw30, kisaw31


ksaw1	tablei kisaw1, itsaw
ksaw2	tablei kisaw2, itsaw
ksaw3	tablei kisaw3, itsaw
ksaw4	tablei kisaw4, itsaw
ksaw5	tablei kisaw5, itsaw
ksaw6	tablei kisaw6, itsaw
ksaw7	tablei kisaw7, itsaw
ksaw8	tablei kisaw8, itsaw
ksaw9	tablei kisaw9, itsaw
ksaw10	tablei kisaw10, itsaw
ksaw11	tablei kisaw11, itsaw
ksaw12	tablei kisaw12, itsaw
ksaw13	tablei kisaw13, itsaw
ksaw14	tablei kisaw14, itsaw
ksaw15	tablei kisaw15, itsaw
ksaw16	tablei kisaw16, itsaw
ksaw17	tablei kisaw17, itsaw
ksaw18	tablei kisaw18, itsaw
ksaw19	tablei kisaw19, itsaw
ksaw20	tablei kisaw20, itsaw
ksaw21	tablei kisaw21, itsaw
ksaw22	tablei kisaw22, itsaw
ksaw23	tablei kisaw23, itsaw
ksaw24	tablei kisaw24, itsaw
ksaw25	tablei kisaw25, itsaw
ksaw26	tablei kisaw26, itsaw
ksaw27	tablei kisaw27, itsaw
ksaw28	tablei kisaw28, itsaw
ksaw29	tablei kisaw29, itsaw
ksaw30	tablei kisaw30, itsaw
ksaw31	tablei kisaw31, itsaw
ksaw32	tablei kisaw32, itsaw
;printks "ksaw1=%f, ksaw2=%f, ksaw3=%f, ksaw4=%f, ksaw28=%f, ksaw29=%f, ksaw30=%f, ksaw31=%f \\n \\n", 1, ksaw1, ksaw2, ksaw3, ksaw4, ksaw28, ksaw29, ksaw30, ksaw31
;printks "kisaw1=%d\\T\\Tkisaw32=%d\\nksaw1=%f\\Tksaw32=%f \\n \\n", 1, kisaw1, kisaw32, ksaw1, ksaw32

;outvalue "sawHFA", ksaw1
;outvalue "sawLFA", ksaw32
;outvalue "sawLFA", ksaw1

;END od spectral amplitude weigth


;calculate random amplitude for each oscilator
kra1 = kamp
kra2 randi kamp, .834567 * krfreq, .345
kra2 = kra2 * .5 + kra2
kra3 randi kamp, .34567 * krfreq, .453985476
kra3 = kra3 * .5 + kra3
kra4 randi kamp, .4535667 * krfreq, .53985476
kra4 = kra4 * .5 + kra4
kra5 randi kamp, .4567 * krfreq, .53985476
kra5 = kra5 * .5 + kra5
kra6 randi kamp, .34567 * krfreq, .453985476
kra6 = kra6*.5 + kra6
kra7 randi kamp, .45456267 * krfreq, .53985476
kra7 = kra7 * .5 + kra7
kra8 randi kamp, .564537 * krfreq, .3985476
kra8 = kra8 * .5 + kra8
kra9 randi kamp, .67278 * krfreq, .985476
kra9 = kra9 * .5 + kra9
kra10 randi kamp, .7943660 * krfreq, .85476
kra10 = kra10 * .5 + kra10
kra11 randi kamp, .943660 * krfreq, .5476
kra11 = kra11 * .5 + kra11
kra12 randi kamp, .363486660 * krfreq, .3467647
kra12 = kra12 * .5 + kra12
kra13 randi kamp, .66295640 * krfreq, .476457
kra13 = kra13 * .5 + kra13
kra14 randi kamp, .602346 * krfreq, .639673
kra14 = kra14 * .5 + kra14
kra15 randi kamp, .363568760 * krfreq, .7983785676
kra15 = kra15 * .5 + kra15
kra16 randi kamp, .4363684586960 * krfreq, .47687256450
kra16 = kra16 * .5 + kra16

kra17 randi  kamp, .834567 * krfreq, .3435455
kra17 = kra17 * .5 + kra17
kra18 randi kamp, .834567 * krfreq, .345645
kra18 = kra18 * .5 + kra18
kra19 randi kamp, .34548567 * krfreq, .4539834675476
kra19 = kra19 * .5 + kra19
kra20 randi kamp, .453957567 * krfreq, .53982355476
kra20 = kra20 * .5 + kra20
kra21 randi kamp, .456205757 * krfreq, .534985476
kra21 = kra21 * .5 + kra21
kra22 randi kamp, .3438671567 * krfreq, .4245653985476
kra22 = kra22 * .5 + kra22
kra23 randi kamp, .45611057 * krfreq, .5343985476
kra23 = kra23 * .5 + kra23
kra24 randi kamp, .56385403757 * krfreq, .35985476
kra24 = kra24 * .5 + kra24
kra25 randi kamp, .68961417 * krfreq, .5985476
kra25 = kra25 * .5 + kra25
kra26 randi kamp, .7943345660 * krfreq, .346785476
kra26 = kra26 * .5 + kra26
kra27 randi kamp, .9436360 * krfreq, .245465476
kra27 = kra27 * .5 + kra27
kra28 randi kamp, .434345660 * krfreq, .5676
kra28 = kra28 * .5 + kra28
kra29 randi kamp, .4123618960 * krfreq, .424476457
kra29 = kra29 * .5 + kra29
kra30 randi kamp, .43865660 * krfreq, .246639673
kra30 = kra30 * .5 + kra30
kra31 randi kamp, .434568583660 * krfreq, .2467983785676
kra31 = kra31 * .5 + kra31
kra32 randi kamp, .36365260 * krfreq, .28647687256450
kra32 = kra32 * .5 + kra32

/*iprinttime = 30
printks "%n1: %f 2: %f 3: %f 4: %f 5: %f 6: %f 7: %f 8: %f%n", iprinttime, kamp1, kamp2, kamp3, kamp4, kamp5, kamp6, kamp7, kamp8
printks "%n9: %f 10: %f 11: %f 12: %f 13: %f 14: %f 15: %f 16: %f%n", iprinttime, kamp9, kamp10, kamp11, kamp12, kamp13, kamp14, kamp15, kamp16
*/

;tremolo
ktrem oscil ktremd*0.01*kamp, ktremf, 2

ka1	=  (kra1 + ktrem) * ksaw1
ka2 	=  (kra2 + ktrem) * ksaw2
ka3 	=  (kra3 + ktrem) * ksaw3
ka4 	=  (kra4 + ktrem) * ksaw4
ka5 	=  (kra5 + ktrem) * ksaw5
ka6 	=  (kra6 + ktrem) * ksaw6
ka7 	=  (kra7 + ktrem) * ksaw7
ka8 	=  (kra8 + ktrem) * ksaw8
ka9 	=  (kra9 + ktrem) * ksaw9
ka10	=  (kra10 + ktrem) * ksaw10
ka11	=  (kra11 + ktrem) * ksaw11
ka12	=  (kra12 + ktrem) * ksaw12
ka13	=  (kra13 + ktrem) * ksaw13
ka14	=  (kra14 + ktrem) * ksaw14
ka15	=  (kra15 + ktrem) * ksaw15
ka16	=  (kra16 + ktrem) * ksaw16

ka17	=  (kra17 + ktrem) * ksaw17
ka18 	=  (kra18 + ktrem) * ksaw18
ka19 	=  (kra19 + ktrem) * ksaw19
ka20 	=  (kra20 + ktrem) * ksaw20
ka21 	=  (kra21 + ktrem) * ksaw21
ka22 	=  (kra22 + ktrem) * ksaw22
ka23 	=  (kra23 + ktrem) * ksaw23
ka24 	=  (kra24 + ktrem) * ksaw24
ka25 	=  (kra25 + ktrem) * ksaw25
ka26	=  (kra26 + ktrem) * ksaw26
ka27	=  (kra27 + ktrem) * ksaw27
ka28	=  (kra28 + ktrem) * ksaw28
ka29	=  (kra29 + ktrem) * ksaw29
ka30	=  (kra30 + ktrem) * ksaw30
ka31	=  (kra31 + ktrem) * ksaw31
ka32	=  (kra32 + ktrem) * ksaw32

;pitch factor
itable = 10					;table content is an exponential segment from 0 to 1
kfactor1 	tablei kfactor, itable
kfactor2 	tablei kfactor + 1, itable
kfactor3 	tablei kfactor + 2, itable
kfactor4 	tablei kfactor + 3, itable
kfactor5 	tablei kfactor + 4, itable
kfactor6 	tablei kfactor + 5, itable
kfactor7 	tablei kfactor + 6, itable
kfactor8 	tablei kfactor + 7, itable
kfactor9 	tablei kfactor + 8, itable
kfactor10 tablei kfactor + 9, itable
kfactor11 tablei kfactor + 10, itable
kfactor12 tablei kfactor + 11, itable
kfactor13 tablei kfactor + 12, itable
kfactor14 tablei kfactor + 13, itable
kfactor15 tablei kfactor + 14, itable
kfactor16 tablei kfactor + 15, itable

kfactor17 	tablei kfactor + 16, itable
kfactor18 	tablei kfactor + 17, itable
kfactor19 	tablei kfactor + 18, itable
kfactor20 	tablei kfactor + 19, itable
kfactor21 	tablei kfactor + 20, itable
kfactor22 	tablei kfactor + 21, itable
kfactor23 	tablei kfactor + 22, itable
kfactor24 	tablei kfactor + 23, itable
kfactor25 	tablei kfactor + 24, itable
kfactor26 	tablei kfactor + 25, itable
kfactor27		tablei kfactor + 26, itable
kfactor28		tablei kfactor + 27, itable
kfactor29		tablei kfactor + 28, itable
kfactor30		tablei kfactor + 29, itable
kfactor31		tablei kfactor + 30, itable
kfactor32 	tablei kfactor + 31, itable

kfactor1b 	tablei kfactorb, itable
kfactor2b 	tablei kfactorb + 1, itable
kfactor3b 	tablei kfactorb + 2, itable
kfactor4b 	tablei kfactorb + 3, itable
kfactor5b 	tablei kfactorb + 4, itable
kfactor6b 	tablei kfactorb + 5, itable
kfactor7b 	tablei kfactorb + 6, itable
kfactor8b 	tablei kfactorb + 7, itable
kfactor9b 	tablei kfactorb + 8, itable
kfactor10b	tablei kfactorb + 9, itable
kfactor11b	tablei kfactorb + 10, itable
kfactor12b	tablei kfactorb + 11, itable
kfactor13b	tablei kfactorb + 12, itable
kfactor14b	tablei kfactorb + 13, itable
kfactor15b	tablei kfactorb + 14, itable
kfactor16b	tablei kfactorb + 15, itable

kfactor17b 	tablei kfactorb + 16, itable
kfactor18b 	tablei kfactorb + 17, itable
kfactor19b 	tablei kfactorb + 18, itable
kfactor20b 	tablei kfactorb + 19, itable
kfactor21b 	tablei kfactorb + 20, itable
kfactor22b 	tablei kfactorb + 21, itable
kfactor23b 	tablei kfactorb + 22, itable
kfactor24b 	tablei kfactorb + 23, itable
kfactor25b 	tablei kfactorb + 24, itable
kfactor26b 	tablei kfactorb + 25, itable
kfactor27b	tablei kfactorb + 26, itable
kfactor28b	tablei kfactorb + 27, itable
kfactor29b	tablei kfactorb + 28, itable
kfactor30b	tablei kfactorb + 29, itable
kfactor31b	tablei kfactorb + 30, itable
kfactor32b	tablei kfactorb + 31, itable


/*kfreqrand invalue "freqrand"

if kfreqrand = 2 kgoto freqrandh*/

;first freq variation with LFO

krf1 randi kpitch * kfactor1, krff, .869236557
krf2 randi kpitch * 2 * kfactor2, krff, .28657
krf3 randi kpitch * 3 * kfactor3, krff, .026585
krf4 randi kpitch * 4 * kfactor4, krff, .8544121
krf5 randi kpitch * 5 * kfactor5, krff, .023856
krf6 randi kpitch * 6 * kfactor6, krff, .1874564
krf7 randi kpitch * 7 * kfactor7, krff, .926574
krf8 randi kpitch * 8 * kfactor8, krff, .83657
krf9 randi kpitch * 9 * kfactor9, krff, .153765
krf10 randi kpitch * 10 * kfactor10, krff, .923635
krf11 randi kpitch * 11 * kfactor11, krff, .8264506
krf12 randi kpitch * 12 * kfactor12, krff, .964763
krf13 randi kpitch * 13 * kfactor13, krff, .925659
krf14 randi kpitch * 14 * kfactor14, krff, .85645365
krf15 randi kpitch * 15 * kfactor15, krff, .29472364
krf16 randi kpitch * 16 * kfactor16, krff, .6474820

krf17 randi kpitch * 17 * kfactor17, krff, .86923236557
krf18 randi kpitch * 18 * kfactor18, krff, .281657
krf19 randi kpitch * 19 * kfactor19, krff, .0246585
krf20 randi kpitch * 20 * kfactor20, krff, .85444121
krf21 randi kpitch * 21 * kfactor21, krff, .0223856
krf22 randi kpitch * 22 * kfactor22, krff, .18741564
krf23 randi kpitch * 23 * kfactor23, krff, .9126574
krf24 randi kpitch * 24 * kfactor24, krff, .833657
krf25 randi kpitch * 25 * kfactor25, krff, .1153765
krf26 randi kpitch * 26 * kfactor26, krff, .9123635
krf27 randi kpitch * 27 * kfactor27, krff, .18264506
krf28 randi kpitch * 28 * kfactor28, krff, .191634763
krf29 randi kpitch * 29 * kfactor29, krff, .9125659
krf30 randi kpitch * 30 * kfactor30, krff, .485645365
krf31 randi kpitch * 31 * kfactor31, krff, .259472364
krf32 randi kpitch * 32 * kfactor32, krff, .46474820


;second freq variation with HFO
arf1b	randi kpitch * kfactor1b, krffb, .8692136557
arf2b 	randi kpitch * 2 * kfactor2b, krffb, .2835657
arf3b 	randi kpitch * 3 * kfactor3b, krffb, .022646585
arf4b 	randi kpitch * 4 * kfactor4b, krffb, .8512544121
arf5b 	randi kpitch * 5 * kfactor5b, krffb, .021253856
arf6b 	randi kpitch * 6 * kfactor6b, krffb, .187482564
arf7b 	randi kpitch * 7 * kfactor7b, krffb, .9211666574
arf8b 	randi kpitch * 8 * kfactor8b, krffb, .832657
arf9b 	randi kpitch * 9 * kfactor9b, krffb, .153345765
arf10b 	randi kpitch * 10 * kfactor10b, krffb, .934523635
arf11b 	randi kpitch * 11 * kfactor11b, krffb, .8256264506
arf12b 	randi kpitch * 12 * kfactor12b, krffb, .9345664763
arf13b 	randi kpitch * 13 * kfactor13b, krffb, .92675659
arf14b 	randi kpitch * 14 * kfactor14b, krffb, .85345645365
arf15b 	randi kpitch * 15 * kfactor15b, krffb, .452947236
arf16b 	randi kpitch * 16 * kfactor16b, krffb, .6345474820
arf17b	randi kpitch * 17 * kfactor17b, krffb, .923236557
arf18b 	randi kpitch * 18 * kfactor18b, krffb, .284561657
arf19b 	randi kpitch * 19 * kfactor19b, krffb, .0456246585
arf20b 	randi kpitch * 20 * kfactor20b, krffb, .09885444121
arf21b 	randi kpitch * 21 * kfactor21b, krffb, .0876223856
arf22b 	randi kpitch * 22 * kfactor22b, krffb, .19878741564
arf23b 	randi kpitch * 23 * kfactor23b, krffb, .998126574
arf24b 	randi kpitch * 24 * kfactor24b, krffb, .809833657
arf25b 	randi kpitch * 25 * kfactor25b, krffb, .1098153765
arf26b 	randi kpitch * 26 * kfactor26b, krffb, .9098123635
arf27b 	randi kpitch * 27 * kfactor27b, krffb, .18209864506
arf28b 	randi kpitch * 28 * kfactor28b, krffb, .190981634763
arf29b 	randi kpitch * 29 * kfactor29b, krffb, .91098025659
arf30b 	randi kpitch * 30 * kfactor30b, krffb, .4865645365
arf31b 	randi kpitch * 31 * kfactor31b, krffb, .25906472364
arf32b 	randi kpitch * 32 * kfactor32b, krffb, .4660474820



freqcont:

af1	= kpitch + krf1 + arf1b
af2	= kpitch * 2 + krf2 + arf2b
af3	= kpitch * 3 + krf3 + arf3b
af4	= kpitch * 4 + krf4 + arf4b
af5	= kpitch * 5 + krf5 + arf5b
af6	= kpitch * 6 + krf6 + arf6b
af7	= kpitch * 7 + krf7 + arf7b
af8	= kpitch * 8 + krf8 + arf8b
af9	= kpitch * 9 + krf9 + arf9b
af10	= kpitch * 10 + krf10 + arf10b
af11	= kpitch * 11 + krf11 + arf11b
af12	= kpitch * 12 + krf12 + arf12b
af13	= kpitch * 13 + krf13 + arf13b
af14	= kpitch * 14 + krf14 + arf14b
af15	= kpitch * 15 + krf15 + arf15b
af16	= kpitch * 16 + krf16 + arf16b

af17	= kpitch * 17 + krf17 + arf17b
af18	= kpitch * 18 + krf18 + arf18b
af19	= kpitch * 19 + krf19 + arf19b
af20	= kpitch * 20 + krf20 + arf20b
af21	= kpitch * 21 + krf21 + arf21b
af22	= kpitch * 22 + krf22 + arf22b
af23	= kpitch * 23 + krf23 + arf23b
af24	= kpitch * 24 + krf24 + arf24b
af25	= kpitch * 25 + krf25 + arf25b
af26	= kpitch * 26 + krf26 + arf26b
af27	= kpitch * 27 + krf27 + arf27b
af28	= kpitch * 28 + krf28 + arf28b
af29	= kpitch * 29 + krf29 + arf29b
af30	= kpitch * 30 + krf30 + arf30b
af31	= kpitch * 31 + krf31 + arf31b
af32	= kpitch * 32 + krf32 + arf32b

/*
printks "%nf1: %f f2: %f f3: %f f4: %f f5: %f f6: %f f7: %f f8: %f%n", 5, kf1, kf2, kf3, kf4, kf5, kf6, kf7, kf8
printks "%nf9: %f f10: %f f11: %f f12: %f f13: %f f14: %f f15: %f f16: %f%n", 5, kf9, kf10, kf11, kf12, kf13, kf14, kf15, kf16
*/
/*
if (kf1 < 20 || kf32 < 20 || kf1 > 20000 || kf32 > 20000) 	then
printks "%n%n WARNING!%n Frequency out of audible range: f1 = %f f32 = %f", 2, kf1, kf32
endif

printks "%n%n%nf1 = %f f32 = %f", 5, kf1, kf32
*/


asig1 	oscili ka1, 	af1,	1	;fundamental frequency
asig2 	oscili ka2, 	af2,	1	;
asig3 	oscili ka3, 	af3,	1	;
asig4 	oscili ka4, 	af4,	1	;
asig5 	oscili ka5, 	af5,	1	;
asig6 	oscili ka6, 	af6,	1	;
asig7 	oscili ka7, 	af7,	1	;
asig8 	oscili ka8, 	af8,	1	;
asig9 	oscili ka9, 	af9,	1	;
asig10 	oscili ka10, 	af10,	1	;
asig11 	oscili ka11, 	af11,	1	;
asig12 	oscili ka12, 	af12,	1	;
asig13 	oscili ka13, 	af13,	1	;
asig14 	oscili ka14, 	af14,	1	;
asig15 	oscili ka15, 	af15,	1	;
asig16 	oscili ka16, 	af16,	1	;16th harmonic

asig17 	oscili ka17, 	af17,	1	;
asig18 	oscili ka18, 	af18,	1	;
asig19 	oscili ka19, 	af19,	1	;
asig20 	oscili ka20, 	af20,	1	;
asig21	oscili ka21, 	af21,	1	;
asig22 	oscili ka22, 	af22,	1	;
asig23 	oscili ka23, 	af23,	1	;
asig24 	oscili ka24, 	af24,	1	;
asig25 	oscili ka25, 	af25,	1	;
asig26 	oscili ka26, 	af26,	1	;
asig27 	oscili ka27, 	af27,	1	;
asig28 	oscili ka28, 	af28,	1	;
asig29 	oscili ka29, 	af29,	1	;
asig30 	oscili ka30, 	af30,	1	;
asig31 	oscili ka31, 	af31,	1	;
asig32 	oscili ka32, 	af32,	1	;32nd harmonic

/*
asum1 sum asig1, asig3, asig5, asig7, asig9, asig11, asig13, asig15, asig17, asig19, asig21, asig23, asig25, asig27, asig29, asig31
asum2 sum asig2, asig4, asig6, asig8, asig10, asig12, asig14, asig16, asig18, asig20, asig22, asig24, asig26, asig28, asig30, asig32
*/

asum1 sum asig1, asig5, asig9, asig13, asig17, asig21, asig25, asig29
asum2 sum asig2, asig6, asig10, asig14, asig18, asig22, asig26, asig30
asum3 sum asig3, asig7, asig11, asig15, asig19, asig23, asig27, asig31
asum4 sum asig4, asig8, asig12, asig16, asig20, asig24, asig28, asig32

outq asum1*kampm, asum2*kampm, asum3*kampm, asum4*kampm




/*
asum1 sum asig1, asig9, asig17, asig25
asum2 sum asig2, asig10, asig18, asig26
asum3 sum asig3, asig11, asig19, asig27
asum4 sum asig4, asig12, asig20, asig28
asum5 sum  asig5, asig13,  asig21, asig29
asum6 sum asig6, asig14, asig22, asig30
asum7 sum asig7, asig15, asig23, asig31
asum8 sum asig8, asig16, asig24, asig32

outo asum1, asum2, asum3, asum4, asum5, asum6, asum7, asum8
*/



aout1 = (asum1+asum3)*kampm
aout2 = (asum2+asum4)*kampm


;outs aout1, aout2 ;asum1*kampm+(ainput*kmicro), asum2*kampm+(ainput*kmicro)


gasend1 = gasend1 + aout1 * .7;krevsend
gasend2 = gasend2 + aout2 * .7;krevsend


endin ;--------------------------------------------------------------------------------------------------------------------------------------------


instr 55 ;print labels for sliders



idlt = 0.2
kampd delayk gkamp, idlt
kfactord delayk gkfactor, idlt
kfactorbd delayk gkfactorb, idlt
krfreqd delayk gkrfreq, idlt
kspectrald delayk gkisaw, idlt
krevampd delayk gkrevamp, idlt
krevfblvld delayk gkrevfblvl, idlt
kamposcild delayk gkamposcil, idlt
krffd delayk gkrff, idlt
ktremfd delayk gktremf, idlt
ktremdd delayk gktremd, idlt
kfrffbd delayk gkfrffb, idlt

itime = 0.2

reset:
timout 0, itime, contin
reinit reset

contin:
;fader 1
if (gkamp != kampd) then
printks "amp%n%.2f%n", itime, gkamp
endif
;fader 2
if (gkfactor != kfactord) then
printks "%tfac%n%t%.2f%n", itime, gkfactor
endif
;fader 3
if (gkfactorb != kfactorbd) then
printks "%t%tfvar%n%t%t%.2f%n", itime, gkfactorb
endif
;fader 4
if (gkrfreq != krfreqd) then
printks "%t%t%tampr%n%t%t%t%.2f%n", itime, gkrfreq
endif
;fader 5
if (gkisaw != kspectrald) then
printks "%t%t%t%tspe%n%t%t%t%t%.2f%n", itime, gkisaw
endif
;fader 8
if (gkrevamp != krevampd) then
printks "%t%t%t%t%t%t%trev%n%t%t%t%t%t%t%t%.2f%n", itime, gkrevamp
endif

;knob 1
if (gkamposcil != kamposcild) then
printks "osc%n%d%n", itime, gkamposcil
endif

;knob 1-3
if (gktremf != ktremfd) then
printks "tremf%n%.2f%n", itime, gktremf
endif

;knob 2
if (gkrff != krffd) then
printks "%tharm%n%t%.2f%n", itime, gkrff
endif

;knob 2-3
if (gktremd!= ktremdd) then
printks "%ttremd%n%t%.2f%n", itime, gktremd
endif

;knob 3
if (gkfrffb!= kfrffbd) then
printks "%t%tfrefrev%n%t%t%.2f%n", itime, gkfrffb
endif



;knob 8
if (gkrevfblvl != krevfblvld) then
printks "%t%t%t%t%t%t%trcutoff%n%t%t%t%t%t%t%t%.2f%n", itime, gkrevfblvl
endif




rireturn

endin	;-------------------------------------------------------------

instr 90 ;time

gktime times
ktimed = gktime-gktimereset
itime = 5

kminutes = ktimed/60-0.5
kseconds = round(frac(ktimed/60) * 60)
if (kseconds == 60) then
kminutes = kminutes + 1
kseconds = 0
endif


reset:
timout 0, itime, conti
reinit reset

conti:
prints "%n%n-------------------------------------------------------------------%n---------------------------time: %d'%d'' ---------------------------%n-------------------------------------------------------------------%n%n", kminutes, kseconds
rireturn


endin	;-------------------------------------------------------------


instr 91

ktime times
kminutes = ($MDUR - ktime) / 60

itime = 60

reset:
timout 0, itime, conti
reinit reset

conti:
prints "%n%n%n%n%t%t%tperformance will stop in: %d minutes%n%n%n%n", kminutes
rireturn
endin

;----------------------------------------- GLOBAL REVERB
instr 99

ar1, ar2 reverbsc gasend1, gasend2, gkrevfblvl, 12000;krevfco

output:
aout1 = ar1 * gkrevamp
aout2 = ar2 * gkrevamp

;outs aout1, aout2

outq aout1, aout2, aout1, aout2

gasend1 = 0
gasend2 = 0

endin
;----------------------------------------- GLOBAL REVERB
</CsInstruments>
<CsScore>

#define MDUR #86400# ;24 hours

f1 0 8193 10 1 .5 .3 .2 .1 .01
f2 0 512 10 1

f10 0 512 8 0 512 1
f11 0 512 8 0 512 100
f21 0 512 8 0 512 1
f21 0 512 8 1 512 0

f23 0 512 8 1 512 0.1


f12 0 512 8 1 512 .5

f100 0 8 -2 40 80 120 160 200 240 280 320
f101 0 8 -2 1 [9/8] [13/8] [3/2] [15/16] [16/15] [11/8] [7/6]


;main instrument
i10	0	$MDUR
;instr 55 ;print labels for sliders
i55	0	$MDUR
;display time
i90	0	$MDUR
;display time to end
i91	0	$MDUR
;reverb
i99	0	$MDUR
</CsScore>

</CsoundSynthesizer>
