; GLORY 3 (2020) for realtime Csound - by Arthur B. Hunkins
;  requires console Csound and MIDI device with 16 knobs/sliders
;   Set all controllers to 0 prior to Start.
; See additional setup/performance instructions in Glory_3.txt

<CsoundSynthesizer>
<CsOptions>

; for Windows, Mac
-odac -M0 -m0d -b512 -B2048 -+raw_controller_mode=1
; for Linux
;-odac -+rtaudio=alsa -+rtmidi=alsa -M hw:1,0 -m0d -b128 -B2048 -+raw_controller_mode=1

</CsOptions>
<CsInstruments>

	sr = 48000
	ksmps = 128
	nchnls = 2

#define	VOICES #32# ; # of voices; valid = 4, 8, 16, 24 and 32
#define	CHAN #1# ; 0 = CC7, CHAN 1-16 
#define	CTRL #20# ; first controller # of 16 consecutive

	seed 0

	instr 1	

ifreq	= 80
iport	= 0.05

;----------------------------------------------------- midi

;overall amp
kamp	ctrl7 ($CHAN = 0? 1: $CHAN), ($CHAN = 0? 7: $CTRL), 0, 33, 4
kamp 	port kamp, iport
kampd	= kamp / 30

;tremolo freq, shape & depth 
ktremf	ctrl7 ($CHAN = 0? 2: $CHAN), ($CHAN = 0? 7: $CTRL + 1), 0, 10, 3
kshape	ctrl7 ($CHAN = 0? 3: $CHAN), ($CHAN = 0? 7: $CTRL + 2), .2, .8
ktremd	ctrl7 ($CHAN = 0? 4: $CHAN), ($CHAN = 0? 7: $CTRL + 3), 0, 1
ktremd	= ktremd * kamp

;rand freq & amp per osc
krfreq	ctrl7 ($CHAN = 0? 5: $CHAN), ($CHAN = 0? 7: $CTRL + 4), 1, 20, 3
krand	ctrl7 ($CHAN = 0? 6: $CHAN), ($CHAN = 0? 7: $CTRL + 5), 0, .6
krand	= krand * kamp

;freq factor & amp var LFO
krff	ctrl7 ($CHAN = 0? 7: $CHAN), ($CHAN = 0? 7: $CTRL + 6), .2, 10.2, 3
krfamp	ctrl7 ($CHAN = 0? 8: $CHAN), ($CHAN = 0? 7: $CTRL + 7), 0, 20

;second freq & amp factor var HFO
krff2	ctrl7 ($CHAN = 0? 9: $CHAN), ($CHAN = 0? 7: $CTRL + 8), 30, 350, 3
krfamp2	ctrl7 ($CHAN = 0? 10: $CHAN), ($CHAN = 0? 7: $CTRL + 9), 0, 20, 3

;spectral rand freq & amp spectrum weight 
ksawf	ctrl7 ($CHAN = 0? 11: $CHAN), ($CHAN = 0? 7: $CTRL + 10), .5, 8
ksawf	port ksawf, .03
ksawa	ctrl7 ($CHAN = 0? 12: $CHAN), ($CHAN = 0? 7: $CTRL + 11), 0, 16, 2
krsaw	jspline ksawa, ksawf, ksawf + .1
krsaw	= krsaw + ksawa
krsaw	= (krsaw < 1? 1: krsaw)

;spectral amplitude weight
ksaw	ctrl7 ($CHAN = 0? 13: $CHAN), ($CHAN = 0? 7: $CTRL + 12), 1, 32
ksaw	port ksaw, iport

kisaw	= ksaw + krsaw
kisaw	= (kisaw > 33?  33 - (kisaw - 33): kisaw)

;freq factors
kmult	ctrl7 ($CHAN = 0? 14: $CHAN), ($CHAN = 0? 7: $CTRL + 13), 0, .47, 3
kmult	port kmult, iport
kffac	ctrl7 ($CHAN = 0? 15: $CHAN), ($CHAN = 0? 7: $CTRL + 14), 0, 38, 3
kffac 	port kffac, iport

;clip amp
kclip	ctrl7 ($CHAN = 0? 16: $CHAN), ($CHAN = 0? 7: $CTRL + 15), 0, 1
kclip	port kclip, iport

;----------------------------------------------------- midi

;spectral amplitude weight
;equal /

	if $VOICES == 32 then
itsaw1	= 5
itsaw2	= 10
iclip	= 24000
	elseif $VOICES == 24 then
itsaw1	= 6
itsaw2	= 11
iclip	= 20000
	elseif $VOICES == 16 then
itsaw1	= 7
itsaw2	= 12
iclip	= 14000
	elseif $VOICES == 8 then
itsaw1	= 8
itsaw2	= 13
iclip	= 10000
	elseif $VOICES == 4 then
itsaw1	= 9
itsaw2	= 14
iclip	= 6000
	 endif

	if kisaw > 17 then
kisaw	= kisaw - 17

	if $VOICES == 32 then
kisaw32	= 0
kisaw31	= kisaw
kisaw30	= 2 * kisaw
kisaw29	= 3 * kisaw
kisaw28	= 4 * kisaw
kisaw27	= 5 * kisaw
kisaw26	= 6 * kisaw
kisaw25	= 7 * kisaw
kisaw24	= 8 * kisaw
kisaw23	= 9 * kisaw
kisaw22	= 10 * kisaw
kisaw21	= 11 * kisaw
kisaw20	= 12 * kisaw
kisaw19	= 13 * kisaw
kisaw18	= 14 * kisaw
kisaw17	= 15 * kisaw
kisaw16	= 16 * kisaw
kisaw15	= 17 * kisaw
kisaw14	= 18 * kisaw
kisaw13	= 19 * kisaw
kisaw12	= 20 * kisaw
kisaw11	= 21 * kisaw
kisaw10	= 22 * kisaw
kisaw9	= 23 * kisaw
kisaw8	= 24 * kisaw
kisaw7	= 25 * kisaw
kisaw6	= 26 * kisaw
kisaw5	= 27 * kisaw
kisaw4	= 28 * kisaw
kisaw3	= 29 * kisaw
kisaw2	= 30 * kisaw
kisaw1	= 31 * kisaw
	elseif $VOICES == 24 then
kisaw24	= 0
kisaw23	= kisaw
kisaw22	= 2 * kisaw
kisaw21	= 3 * kisaw
kisaw20	= 4 * kisaw
kisaw19	= 5 * kisaw
kisaw18	= 6 * kisaw
kisaw17	= 7 * kisaw
kisaw16	= 8 * kisaw
kisaw15	= 9 * kisaw
kisaw14	= 10 * kisaw
kisaw13	= 11 * kisaw
kisaw12	= 12 * kisaw
kisaw11	= 13 * kisaw
kisaw10	= 14 * kisaw
kisaw9	= 15 * kisaw
kisaw8	= 16 * kisaw
kisaw7	= 17 * kisaw
kisaw6	= 18 * kisaw
kisaw5	= 19 * kisaw
kisaw4	= 20 * kisaw
kisaw3	= 21 * kisaw
kisaw2	= 22 * kisaw
kisaw1	= 23 * kisaw
	elseif $VOICES == 16 then
kisaw16	= 0
kisaw15	= kisaw
kisaw14	= 2 * kisaw
kisaw13	= 3 * kisaw
kisaw12	= 4 * kisaw
kisaw11	= 5 * kisaw
kisaw10	= 6 * kisaw
kisaw9	= 7 * kisaw
kisaw8	= 8 * kisaw
kisaw7	= 9 * kisaw
kisaw6	= 10 * kisaw
kisaw5	= 11 * kisaw
kisaw4	= 12 * kisaw
kisaw3	= 13 * kisaw
kisaw2	= 14 * kisaw
kisaw1	= 15 * kisaw
	elseif $VOICES == 8 then
kisaw8	= 0
kisaw7	= kisaw
kisaw6	= 2 * kisaw
kisaw5	= 3 * kisaw
kisaw4	= 4 * kisaw
kisaw3	= 5 * kisaw
kisaw2	= 6 * kisaw
kisaw1	= 7 * kisaw
	elseif $VOICES == 4 then
kisaw4	= 0
kisaw3	= kisaw
kisaw2	= 2 * kisaw
kisaw1	= 3 * kisaw
	endif

	elseif (kisaw <= 17) then
kisaw	= 17 - kisaw

	if $VOICES == 32 then
kisaw1	= 0
kisaw2	= kisaw
kisaw3	= 2 * kisaw
kisaw4	= 3 * kisaw
kisaw5	= 4 * kisaw
kisaw6	= 5 * kisaw
kisaw7	= 6 * kisaw
kisaw8	= 7 * kisaw
kisaw9	= 8 * kisaw
kisaw10	= 9 * kisaw
kisaw11	= 10 * kisaw
kisaw12	= 11 * kisaw
kisaw13	= 12 * kisaw
kisaw14	= 13 * kisaw
kisaw15	= 14 * kisaw
kisaw16	= 15 * kisaw
kisaw17	= 16 * kisaw
kisaw18	= 17 * kisaw
kisaw19	= 18 * kisaw
kisaw20	= 19 * kisaw
kisaw21	= 20 * kisaw
kisaw22	= 21 * kisaw
kisaw23	= 22 * kisaw
kisaw24	= 23 * kisaw
kisaw25	= 24 * kisaw
kisaw26	= 25 * kisaw
kisaw27	= 26 * kisaw
kisaw28	= 27 * kisaw
kisaw29	= 28 * kisaw
kisaw30	= 29 * kisaw
kisaw31	= 30 * kisaw
kisaw32	= 31 * kisaw
	elseif $VOICES == 24 then
kisaw1	= 0
kisaw2	= kisaw
kisaw3	= 2 * kisaw
kisaw4	= 3 * kisaw
kisaw5	= 4 * kisaw
kisaw6	= 5 * kisaw
kisaw7	= 6 * kisaw
kisaw8	= 7 * kisaw
kisaw9	= 8 * kisaw
kisaw10	= 9 * kisaw
kisaw11	= 10 * kisaw
kisaw12	= 11 * kisaw
kisaw13	= 12 * kisaw
kisaw14	= 13 * kisaw
kisaw15	= 14 * kisaw
kisaw16	= 15 * kisaw
kisaw17	= 16 * kisaw
kisaw18	= 17 * kisaw
kisaw19	= 18 * kisaw
kisaw20	= 19 * kisaw
kisaw21	= 20 * kisaw
kisaw22	= 21 * kisaw
kisaw23	= 22 * kisaw
kisaw24	= 23 * kisaw
	elseif $VOICES == 16 then
kisaw1	= 0
kisaw2	= kisaw
kisaw3	= 2 * kisaw
kisaw4	= 3 * kisaw
kisaw5	= 4 * kisaw
kisaw6	= 5 * kisaw
kisaw7	= 6 * kisaw
kisaw8	= 7 * kisaw
kisaw9	= 8 * kisaw
kisaw10	= 9 * kisaw
kisaw11	= 10 * kisaw
kisaw12	= 11 * kisaw
kisaw13	= 12 * kisaw
kisaw14	= 13 * kisaw
kisaw15	= 14 * kisaw
kisaw16	= 15 * kisaw
	elseif $VOICES == 8 then
kisaw1	= 0
kisaw2	= kisaw
kisaw3	= 2 * kisaw
kisaw4	= 3 * kisaw
kisaw5	= 4 * kisaw
kisaw6	= 5 * kisaw
kisaw7	= 6 * kisaw
kisaw8	= 7 * kisaw
	elseif $VOICES == 4 then
kisaw1	= 0
kisaw2	= kisaw
kisaw3	= 2 * kisaw
kisaw4	= 3 * kisaw
	endif

	endif

	if kisaw > 17 then
ksaw1	tablei kisaw1, itsaw1
ksaw2	tablei kisaw2, itsaw1
ksaw3	tablei kisaw3, itsaw1
ksaw4	tablei kisaw4, itsaw1
ksaw5	tablei kisaw5, itsaw1
ksaw6	tablei kisaw6, itsaw1
ksaw7	tablei kisaw7, itsaw1
ksaw8	tablei kisaw8, itsaw1
ksaw9	tablei kisaw9, itsaw1
ksaw10	tablei kisaw10, itsaw1
ksaw11	tablei kisaw11, itsaw1
ksaw12	tablei kisaw12, itsaw1
ksaw13	tablei kisaw13, itsaw1
ksaw14	tablei kisaw14, itsaw1
ksaw15	tablei kisaw15, itsaw1
ksaw16	tablei kisaw16, itsaw1
ksaw17	tablei kisaw17, itsaw1
ksaw18	tablei kisaw18, itsaw1
ksaw19	tablei kisaw19, itsaw1
ksaw20	tablei kisaw20, itsaw1
ksaw21	tablei kisaw21, itsaw1
ksaw22	tablei kisaw22, itsaw1
ksaw23	tablei kisaw23, itsaw1
ksaw24	tablei kisaw24, itsaw1
ksaw25	tablei kisaw25, itsaw1
ksaw26	tablei kisaw26, itsaw1
ksaw27	tablei kisaw27, itsaw1
ksaw28	tablei kisaw28, itsaw1
ksaw29	tablei kisaw29, itsaw1
ksaw30	tablei kisaw30, itsaw1
ksaw31	tablei kisaw31, itsaw1
ksaw32	tablei kisaw32, itsaw1
	elseif kisaw <= 17 then
ksaw1	tablei kisaw1, itsaw2
ksaw2	tablei kisaw2, itsaw2
ksaw3	tablei kisaw3, itsaw2
ksaw4	tablei kisaw4, itsaw2
ksaw5	tablei kisaw5, itsaw2
ksaw6	tablei kisaw6, itsaw2
ksaw7	tablei kisaw7, itsaw2
ksaw8	tablei kisaw8, itsaw2
ksaw9	tablei kisaw9, itsaw2
ksaw10	tablei kisaw10, itsaw2
ksaw11	tablei kisaw11, itsaw2
ksaw12	tablei kisaw12, itsaw2
ksaw13	tablei kisaw13, itsaw2
ksaw14	tablei kisaw14, itsaw2
ksaw15	tablei kisaw15, itsaw2
ksaw16	tablei kisaw16, itsaw2
ksaw17	tablei kisaw17, itsaw2
ksaw18	tablei kisaw18, itsaw2
ksaw19	tablei kisaw19, itsaw2
ksaw20	tablei kisaw20, itsaw2
ksaw21	tablei kisaw21, itsaw2
ksaw22	tablei kisaw22, itsaw2
ksaw23	tablei kisaw23, itsaw2
ksaw24	tablei kisaw24, itsaw2
ksaw25	tablei kisaw25, itsaw2
ksaw26	tablei kisaw26, itsaw2
ksaw27	tablei kisaw27, itsaw2
ksaw28	tablei kisaw28, itsaw2
ksaw29	tablei kisaw29, itsaw2
ksaw30	tablei kisaw30, itsaw2
ksaw31	tablei kisaw31, itsaw2
ksaw32	tablei kisaw32, itsaw2

	endif

;END of spectral amplitude weight

;calculate random amplitude for each oscilator
kra2	jitter krand, krfreq, krfreq + .1
kra3	jitter krand, krfreq, krfreq + .1
kra4	jitter krand, krfreq, krfreq + .1
kra5	jitter krand, krfreq, krfreq + .1
kra6	jitter krand, krfreq, krfreq + .1
kra7	jitter krand, krfreq, krfreq + .1
kra8	jitter krand, krfreq, krfreq + .1
kra9	jitter krand, krfreq, krfreq + .1
kra10	jitter krand, krfreq, krfreq + .1
kra11	jitter krand, krfreq, krfreq + .1
kra12	jitter krand, krfreq, krfreq + .1
kra13	jitter krand, krfreq, krfreq + .1
kra14	jitter krand, krfreq, krfreq + .1
kra15	jitter krand, krfreq, krfreq + .1
kra16	jitter krand, krfreq, krfreq + .1
kra17	jitter krand, krfreq, krfreq + .1
kra18	jitter krand, krfreq, krfreq + .1
kra19	jitter krand, krfreq, krfreq + .1
kra20	jitter krand, krfreq, krfreq + .1
kra21	jitter krand, krfreq, krfreq + .1
kra22	jitter krand, krfreq, krfreq + .1
kra23	jitter krand, krfreq, krfreq + .1
kra24	jitter krand, krfreq, krfreq + .1
kra25	jitter krand, krfreq, krfreq + .1
kra26	jitter krand, krfreq, krfreq + .1
kra27	jitter krand, krfreq, krfreq + .1
kra28	jitter krand, krfreq, krfreq + .1
kra29	jitter krand, krfreq, krfreq + .1
kra30	jitter krand, krfreq, krfreq + .1
kra31	jitter krand, krfreq, krfreq + .1
kra32	jitter krand, krfreq, krfreq + .1

;tremolo
atrem	vco2 ktremd, ktremf + .2, 4, kshape
ktrem	= k(atrem)
ktrem	port ktrem, .02

ka1	=  (kamp + ktrem) * ksaw1 * kampd
ka2 	=  (kamp + kra2 + ktrem) * ksaw2 * kampd
ka3 	=  (kamp + kra3 + ktrem) * ksaw3 * kampd
ka4 	=  (kamp + kra4 + ktrem) * ksaw4 * kampd
ka5 	=  (kamp + kra5 + ktrem) * ksaw5 * kampd
ka6 	=  (kamp + kra6 + ktrem) * ksaw6 * kampd
ka7 	=  (kamp + kra7 + ktrem) * ksaw7 * kampd
ka8 	=  (kamp + kra8 + ktrem) * ksaw8 * kampd
ka9 	=  (kamp + kra9 + ktrem) * ksaw9 * kampd
ka10 	=  (kamp + kra10 + ktrem) * ksaw10 * kampd
ka11	=  (kamp + kra11 + ktrem) * ksaw11 * kampd
ka12 	=  (kamp + kra12 + ktrem) * ksaw12 * kampd
ka13 	=  (kamp + kra13 + ktrem) * ksaw13 * kampd
ka14 	=  (kamp + kra14 + ktrem) * ksaw14 * kampd
ka15 	=  (kamp + kra15 + ktrem) * ksaw15 * kampd
ka16 	=  (kamp + kra16 + ktrem) * ksaw16 * kampd
ka17	=  (kamp + kra17 + ktrem) * ksaw17 * kampd
ka18 	=  (kamp + kra18 + ktrem) * ksaw18 * kampd
ka19 	=  (kamp + kra19 + ktrem) * ksaw19 * kampd
ka20 	=  (kamp + kra20 + ktrem) * ksaw20 * kampd
ka21 	=  (kamp + kra21 + ktrem) * ksaw21 * kampd
ka22 	=  (kamp + kra22 + ktrem) * ksaw22 * kampd
ka23 	=  (kamp + kra23 + ktrem) * ksaw23 * kampd
ka24 	=  (kamp + kra24 + ktrem) * ksaw24 * kampd
ka25 	=  (kamp + kra25 + ktrem) * ksaw25 * kampd
ka26	=  (kamp + kra26 + ktrem) * ksaw26 * kampd
ka27	=  (kamp + kra27 + ktrem) * ksaw27 * kampd
ka28	=  (kamp + kra28 + ktrem) * ksaw28 * kampd
ka29	=  (kamp + kra29 + ktrem) * ksaw29 * kampd
ka30	=  (kamp + kra30 + ktrem) * ksaw30 * kampd
ka31	=  (kamp + kra31 + ktrem) * ksaw31 * kampd
ka32	=  (kamp + kra32 + ktrem) * ksaw32 * kampd

;first freq variation with LFO
arf1	jspline krfamp, krff, krff + .1
arf2	jspline krfamp, krff * 2, krff * 2 + .1
arf3	jspline krfamp, krff * 3, krff * 3 + .1
arf4	jspline krfamp, krff * 4, krff * 4 + .1
arf5	jspline krfamp, krff * 5, krff * 5 + .1
arf6	jspline krfamp, krff * 6, krff * 6 + .1
arf7	jspline krfamp, krff * 7, krff * 7 + .1
arf8	jspline krfamp, krff * 8, krff * 8 + .1
arf9	jspline krfamp, krff * 9, krff * 9 + .1
arf10	jspline krfamp, krff * 10, krff * 10 + .1
arf11	jspline krfamp, krff * 11, krff * 11 + .1
arf12	jspline krfamp, krff * 12, krff * 12 + .1
arf13	jspline krfamp, krff * 13, krff * 13 + .1
arf14	jspline krfamp, krff * 14, krff * 14 + .1
arf15	jspline krfamp, krff * 15, krff * 15 + .1
arf16	jspline krfamp, krff * 16, krff * 16 + .1
arf17	jspline krfamp, krff * 17, krff * 17 + .1
arf18	jspline krfamp, krff * 18, krff * 18 + .1
arf19	jspline krfamp, krff * 19, krff * 19 + .1
arf20	jspline krfamp, krff * 20, krff * 20 + .1
arf21	jspline krfamp, krff * 21, krff * 21 + .1
arf22	jspline krfamp, krff * 22, krff * 22 + .1
arf23	jspline krfamp, krff * 23, krff * 23 + .1
arf24	jspline krfamp, krff * 24, krff * 24 + .1
arf25	jspline krfamp, krff * 25, krff * 25 + .1
arf26	jspline krfamp, krff * 26, krff * 26 + .1
arf27	jspline krfamp, krff * 27, krff * 27 + .1
arf28	jspline krfamp, krff * 28, krff * 28 + .1
arf29	jspline krfamp, krff * 29, krff * 29 + .1
arf30	jspline krfamp, krff * 30, krff * 30 + .1
arf31	jspline krfamp, krff * 31, krff * 31 + .1
arf32	jspline krfamp, krff * 32, krff * 32 + .1

;second freq variation with HFO
arf1a	randomi 0, krfamp2, krff2 + rnd(.1)
arf2a 	randomi 0, krfamp2 * 2, krff2 + rnd(.1)
arf3a 	randomi 0, krfamp2 * 3, krff2 + rnd(.1)
arf4a 	randomi 0, krfamp2 * 4, krff2 + rnd(.1)
arf5a 	randomi 0, krfamp2 * 5, krff2 + rnd(.1)
arf6a 	randomi 0, krfamp2 * 6, krff2 + rnd(.1)
arf7a 	randomi 0, krfamp2 * 7, krff2 + rnd(.1)
arf8a 	randomi 0, krfamp2 * 8, krff2 + rnd(.1)
arf9a 	randomi 0, krfamp2 * 9, krff2 + rnd(.1)
arf10a 	randomi 0, krfamp2 * 10, krff2 + rnd(.1)
arf11a 	randomi 0, krfamp2 * 11, krff2 + rnd(.1)
arf12a 	randomi 0, krfamp2 * 12, krff2 + rnd(.1)
arf13a 	randomi 0, krfamp2 * 13, krff2 + rnd(.1)
arf14a 	randomi 0, krfamp2 * 14, krff2 + rnd(.1)
arf15a 	randomi 0, krfamp2 * 15, krff2 + rnd(.1)
arf16a 	randomi 0, krfamp2 * 16, krff2 + rnd(.1)
arf17a	randomi 0, krfamp2 * 17, krff2 + rnd(.1)
arf18a 	randomi 0, krfamp2 * 18, krff2 + rnd(.1)
arf19a 	randomi 0, krfamp2 * 19, krff2 + rnd(.1)
arf20a 	randomi 0, krfamp2 * 20, krff2 + rnd(.1)
arf21a 	randomi 0, krfamp2 * 21, krff2 + rnd(.1)
arf22a 	randomi 0, krfamp2 * 22, krff2 + rnd(.1)
arf23a 	randomi 0, krfamp2 * 23, krff2 + rnd(.1)
arf24a 	randomi 0, krfamp2 * 24, krff2 + rnd(.1)
arf25a 	randomi 0, krfamp2 * 25, krff2 + rnd(.1)
arf26a 	randomi 0, krfamp2 * 26, krff2 + rnd(.1)
arf27a 	randomi 0, krfamp2 * 27, krff2 + rnd(.1)
arf28a 	randomi 0, krfamp2 * 28, krff2 + rnd(.1)
arf29a 	randomi 0, krfamp2 * 29, krff2 + rnd(.1)
arf30a 	randomi 0, krfamp2 * 30, krff2 + rnd(.1)
arf31a 	randomi 0, krfamp2 * 31, krff2 + rnd(.1)
arf32a 	randomi 0, krfamp2 * 32, krff2 + rnd(.1)

freqcont:
kmult1	= ifreq * 7/8
kmult2	= ifreq * 8/8
kmult3	= ifreq * 9/8
kmult4	= ifreq * 10/8
kmult5	= ifreq * 11/8
kmult6	= ifreq * 12/8
kmult7	= ifreq * 13/8
kmult8	= ifreq * 14/8
kmult9	= ifreq * 15/8
kmult10	= ifreq * 16/8
kmult11	= ifreq * 17/8
kmult12	= ifreq * 18/8
kmult13	= ifreq * 19/8
kmult14	= ifreq * 20/8
kmult15	= ifreq * 21/8
kmult16	= ifreq * 22/8
kmult17	= ifreq * 23/8
kmult18	= ifreq * 24/8
kmult19	= ifreq * 25/8
kmult20	= ifreq * 26/8
kmult21	= ifreq * 27/8
kmult22	= ifreq * 28/8
kmult23	= ifreq * 29/8
kmult24	= ifreq * 30/8
kmult25	= ifreq * 31/8
kmult26	= ifreq * 32/8
kmult27	= ifreq * 33/8
kmult28	= ifreq * 34/8
kmult29	= ifreq * 35/8
kmult30	= ifreq * 36/8
kmult31	= ifreq * 37/8
kmult32	= ifreq * 38/8

kmult1a	= kmult1 * 7/8 * kmult
kmult2a	= kmult2 * 8/8 * kmult
kmult3a	= kmult3 * 9/8 * kmult
kmult4a	= kmult4 * 10/8 * kmult
kmult5a	= kmult5 * 11/8 * kmult
kmult6a	= kmult6 * 12/8 * kmult
kmult7a	= kmult7 * 13/8 * kmult
kmult8a	= kmult8 * 14/8 * kmult
kmult9a	= kmult9 * 15/8 * kmult
kmult10a	= kmult10 * 16/8 * kmult
kmult11a	= kmult11 * 17/8 * kmult
kmult12a	= kmult12 * 18/8 * kmult
kmult13a	= kmult13 * 19/8 * kmult
kmult14a	= kmult14 * 20/8 * kmult
kmult15a	= kmult15 * 21/8 * kmult
kmult16a	= kmult16 * 22/8 * kmult
kmult17a	= kmult17 * 23/8 * kmult
kmult18a	= kmult18 * 24/8 * kmult
kmult19a	= kmult19 * 25/8 * kmult
kmult20a	= kmult20 * 26/8 * kmult
kmult21a	= kmult21 * 27/8 * kmult
kmult22a	= kmult22 * 28/8 * kmult
kmult23a	= kmult23 * 29/8 * kmult
kmult24a	= kmult24 * 30/8 * kmult
kmult25a	= kmult25 * 31/8 * kmult
kmult26a	= kmult26 * 32/8 * kmult
kmult27a	= kmult27 * 33/8 * kmult
kmult28a	= kmult28 * 34/8 * kmult
kmult29a	= kmult29 * 35/8 * kmult
kmult30a	= kmult30 * 36/8 * kmult
kmult31a	= kmult31 * 37/8 * kmult
kmult32a	= kmult32 * 38/8 * kmult

af1	= kmult1 + kffac+ abs(arf1) + abs(arf1a) + kmult1a
af2	= kmult2 + kffac+ abs(arf2) + abs(arf2a) + kmult2a
af3	= kmult3 + kffac+ abs(arf3) + abs(arf3a) + kmult3a
af4	= kmult4 + kffac+ abs(arf4) + abs(arf4a) + kmult4a
af5	= kmult5 + kffac+ abs(arf5) + abs(arf5a) + kmult5a
af6	= kmult6 + kffac+ abs(arf6) + abs(arf6a) + kmult6a
af7	= kmult7 + kffac+ abs(arf7) + abs(arf7a) + kmult7a
af8	= kmult8 + kffac+ abs(arf8) + abs(arf8a) + kmult8a
af9	= kmult9 + kffac+ abs(arf9) + abs(arf9a) + kmult9a
af10	= kmult10 + kffac+ abs(arf10) + abs(arf10a) + kmult10a
af11	= kmult11 + kffac+ abs(arf11) + abs(arf11a) + kmult11a
af12	= kmult12 + kffac+ abs(arf12) + abs(arf12a) + kmult12a
af13	= kmult13 + kffac+ abs(arf13) + abs(arf13a) + kmult13a
af14	= kmult14 + kffac+ abs(arf14) + abs(arf14a) + kmult14a
af15	= kmult15 + kffac+ abs(arf15) + abs(arf15a) + kmult15a
af16	= kmult16 + kffac+ abs(arf16) + abs(arf16a) + kmult16a
af17	= kmult17 + kffac+ abs(arf17) + abs(arf17a) + kmult17a
af18	= kmult18 + kffac+ abs(arf18) + abs(arf18a) + kmult18a
af19	= kmult19 + kffac+ abs(arf19) + abs(arf19a) + kmult19a
af20	= kmult20 + kffac+ abs(arf20) + abs(arf20a) + kmult20a
af21	= kmult21 + kffac+ abs(arf21) + abs(arf21a) + kmult21a
af22	= kmult22 + kffac+ abs(arf22) + abs(arf22a) + kmult22a
af23	= kmult23 + kffac+ abs(arf23) + abs(arf23a) + kmult23a
af24	= kmult24 + kffac+ abs(arf24) + abs(arf24a) + kmult24a
af25	= kmult25 + kffac+ abs(arf25) + abs(arf25a) + kmult25a
af26	= kmult26 + kffac+ abs(arf26) + abs(arf26a) + kmult26a
af27	= kmult27 + kffac+ abs(arf27) + abs(arf27a) + kmult27a
af28	= kmult28 + kffac+ abs(arf28) + abs(arf28a) + kmult28a
af29	= kmult29 + kffac+ abs(arf29) + abs(arf29a) + kmult29a
af30	= kmult30 + kffac+ abs(arf30) + abs(arf30a) + kmult30a
af31	= kmult31 + kffac+ abs(arf31) + abs(arf31a) + kmult31a
af32	= kmult32 + kffac+ abs(arf32) + abs(arf32a) + kmult32a

asig1 	oscili ka1,	af1, 1
asig2 	oscili ka2,	af2, 1
asig3 	oscili ka3,	af3, 1
asig4 	oscili ka4,	af4, 1
asig5 	oscili ka5,	af5, 1
asig6 	oscili ka6,	af6, 1
asig7 	oscili ka7,	af7, 1
asig8 	oscili ka8,	af8, 1
asig9 	oscili ka9,	af9, 1
asig10 	oscili ka10, af10, 1
asig11 	oscili ka11, af11, 1
asig12 	oscili ka12, af12, 1
asig13 	oscili ka13, af13, 1
asig14 	oscili ka14, af14, 1
asig15 	oscili ka15, af15, 1
asig16 	oscili ka16, af16, 1
asig17 	oscili ka17, af17, 1
asig18 	oscili ka18, af18, 1
asig19 	oscili ka19, af19, 1
asig20 	oscili ka20, af20, 1
asig21	oscili ka21, af21, 1
asig22 	oscili ka22, af22, 1
asig23 	oscili ka23, af23, 1
asig24 	oscili ka24, af24, 1
asig25 	oscili ka25, af25, 1
asig26 	oscili ka26, af26, 1
asig27 	oscili ka27, af27, 1
asig28 	oscili ka28, af28, 1
asig29 	oscili ka29, af29, 1
asig30 	oscili ka30, af30, 1
asig31 	oscili ka31, af31, 1
asig32 	oscili ka32, af32, 1

asuma	sum asig1 * .1, asig3 * .3, asig5 * .5, asig7 * .5, asig9 * .7, asig11, asig13, asig15, asig17, asig19, asig21, asig23, asig25, asig27, asig29, asig31
asumb	sum asig2 * .1, asig4 * .3, asig6 * .5, asig8 * .5, asig10 * .8, asig12, asig14, asig16, asig18, asig20, asig22, asig24, asig26, asig28, asig30, asig32

	if $VOICES == 32 then
asum1	= asuma
asum2	= asumb
	elseif $VOICES == 24 then
asum1	sum asig1 * .1, asig3 * .3, asig5 * .5, asig7 * .5, asig9 * .7, asig11, asig13, asig15, asig17, asig19, asig21, asig23 * .8
asum2	sum asig2 * .1, asig4 * .3, asig6 * .5, asig8 * .5, asig10 * .8, asig12, asig14, asig16, asig18, asig20, asig22, asig24 * .6
	elseif $VOICES == 16 then
asum1	sum asig1 * .1, asig3 * .3, asig5 * .4, asig7 * .5, asig9 * .7, asig11, asig13, asig15
asum2	sum asig2 * .1, asig4 * .3, asig6 * .4, asig8 * .5, asig10 * .8, asig12, asig14, asig16 * .8
	elseif $VOICES == 8 then
asum1	sum asig1 * .1, asig3 * .3, asig5 * .4, asig7 * .2
asum2	sum asig2 * .1, asig4 * .3, asig6 * .4, asig8 * .2
	elseif $VOICES == 4 then
asum1	sum asig1 * .1, asig3 * .3
asum2	sum asig2 * .1, asig4 * .3
	endif
asum3	balance asum1, asuma
asum4	balance asum2, asumb

aclip1	clip asum3 * kclip, 0, iclip
aclip2	clip asum4 * kclip, 0, iclip
aclip1d	delay aclip1, .001
aclip2d	delay aclip2, .001

	outs (asum3 + aclip1d) * kamp, (asum4 + aclip2d) * kamp

	endin ;--------------------------------------------------------------------------------------------------------------------------------------------

</CsInstruments>
<CsScore>

f1 0 8193 10 0 0 0 0 0 0 1
f2 0 1024 16 0 1024 -.75 1
f3 0 1024 16 0 1024 3 1
f4 0 1024 16 0 1024 -2 1

f5 0 512 -16 .5 512 0 0
f6 0 512 -16 .5 384 0 0
f7 0 512 -16 .5 256 0 0
f8 0 512 -16 .5 128 0 0
f9 0 512 -16 .5 64 0 0
f10 0 512 16 1 512 0 0
f11 0 512 16 1 384 0 0
f12 0 512 16 1 256 0 0
f13 0 512 16 1 128 0 0
f14 0 512 16 1 64 0 0

i1 0 3600

</CsScore>
</CsoundSynthesizer>
